import React, { ReactNode } from 'react';
export interface PortalManagerProps {
}
export interface PortalManagerRef {
    mount(key: number, children: ReactNode, zIndex: number): void;
    update(key: number, children: ReactNode, zIndex: number): void;
    unmount(key: number): void;
}
export interface PortalNode {
    key: number;
    children: ReactNode;
    zIndex?: number;
}
export declare const DEFAULT_Z_INDEX = 0;
export declare function zIndexComparator(a: PortalNode, b: PortalNode): 0 | 1 | -1;
export declare const PortalManager: React.ForwardRefExoticComponent<PortalManagerProps & React.RefAttributes<PortalManagerRef>>;
export default PortalManager;
