import { ReactElement, ReactNode } from 'react';
import { PortalStageContextValue } from './portal-stage';
export interface PortalProps {
    children?: ReactNode;
    zIndex?: number;
}
export declare const ERROR_MESSAGE = "You should wrap your root component with <Stage /> from \"react-konva-portal\" in order for Portals to work";
export declare function isPortalManager(val: any): val is PortalStageContextValue;
export declare function assertPortalManager(val: any): val is PortalStageContextValue;
export declare function Portal({ children, zIndex }: PortalProps): ReactElement<any, string | ((props: any) => ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>)>;
export default Portal;
